/* StartGnuplot.cmd aka startgp.cmd */

/* release 19970512 */

/*
   Utility to <<temporarily>> set the necessary environment variables for
   the gnuplot instance in the utility's directory .
   Just put it into every gnuplot-directory and start it from
   an arbitrary directory.
   It passes all command line parameters to the gnuplot executable.
*/

Parse Arg param
Parse Source os env full_name

call setlocal
bindir   = FileSpec("path", full_name)
bindrive = FileSpec("drive", full_name)
binpath  = bindrive''bindir
path     =  Value('PATH',,'OS2ENVIRONMENT')
helpfile = bindrive''bindir'gnuplot.gih'
call Value 'GNUHELP', helpfile, 'OS2ENVIRONMENT'
call Value 'GNUPLOT', bindir,   'OS2ENVIRONMENT'
call Value 'PATH', path';'binpath,   'OS2ENVIRONMENT'
'@'bindrive''bindir'gnuplot.exe 'param
call endlocal
exit
